Subject: Re: r8169 won't transmit with 3.12

From: Craig Small <[email-masked]>
Date: Wed, 22 Jan 2014 11:41:20 +1100

Hi,
  Thanks for looking into this.
On Wed, Jan 22, 2014 at 12:36:30AM +0100, Francois Romieu wrote:
> You may check that the onboard nic device does not even work when the
> extra PCI-e card aren't plugged.
It definitely doesn't. I've tried with only the onboard device
and no other NIC device (r8169 or not) installed and its the same
problem.

> A complete dmesg including the XID lines that the r8169 driver prints
> would be welcome.
See attached text file. I'm not sure why I get so many interface up
messages. This is for the two NIC cards. I can pull them out and go back
to the onboard one if you like.

I don't see that transmit queue timeout message that often. It looks
like it might happen once per boot and then giveup.

> Please increase the driver verbosity with the 'msglvl' option of ethtool.
I set it at 65535 but it didn't seem to make much difference.

If I:
  * rmmod r8169
  * modprobe r8169 debug=1
  * ifconfig eth0 ....
  * ethtool -s eth0 msglvl 65535
  * ping -I eth0 ...
I get the following:

[1256123.142885] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
[1256123.142905] r8169 0000:03:00.0: can't disable ASPM; OS doesn't have ASPM control
[1256123.143182] r8169 0000:03:00.0: irq 73 for MSI/MSI-X
[1256123.154873] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
[1256123.154896] r8169 0000:06:00.0: can't disable ASPM; OS doesn't have ASPM control
[1256123.155148] r8169 0000:06:00.0: irq 74 for MSI/MSI-X
[1256182.169596] r8169 0000:03:00.0 eth0: link down
[1256182.169618] r8169 0000:03:00.0 eth0: link down
[1256185.546908] r8169 0000:03:00.0 eth0: link up
[1256228.041490] r8169 0000:03:00.0 eth0: link up

 - Craig
-- 
Craig Small (@smallsees)   http://enc.com.au/       csmall at : enc.com.au
Debian GNU/Linux           http://www.debian.org/   csmall at : debian.org
GPG fingerprint:        5D2F B320 B825 D939 04D2  0519 3938 F96B DF50 FEA5